> ## Documentation Index
> Fetch the complete documentation index at: https://docs.nfig.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Export a workflow session video



## OpenAPI

````yaml api-reference/openapi-spec.json post /apis/request/workflow/video/url/{id}
openapi: 3.0.0
info:
  title: nFig Agent Backend
  description: nFig Agent Backend
  version: '1.0'
  contact: {}
servers:
  - url: https://api.nfig.ai
    description: Production server
security:
  - bearer: []
tags:
  - name: nFig
    description: ''
paths:
  /apis/request/workflow/video/url/{id}:
    post:
      tags:
        - Workflow Step Mode APIs
      summary: Export a workflow session video
      operationId: ExternalApisController_getSessionVideo
      parameters:
        - name: id
          required: true
          in: path
          description: Unique identifier for each workflow session
          example: 92a7a42a-ee05-8abb-e0ed250d6c79
          schema:
            type: string
      responses:
        '200':
          description: Export a workflow session video
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/VideoResponse'
      security:
        - apiKey: []
      x-codeSamples:
        - lang: curl
          label: cURL
          source: |-
            curl --request POST \
            --url https://api.nfig.ai/apis/request/workflow/video/url/<id> \
            --header 'api-key: <api-key>'
        - lang: python
          label: Python
          source: |-
            import requests

            url = "https://api.nfig.ai/apis/request/workflow/video/url/<id>"
            headers = {
                "api-key": "<api-key>"
            }

            response = requests.post(url, headers=headers)
            print(response.json())
        - lang: javascript
          label: JavaScript
          source: >-
            const url =
            'https://api.nfig.ai/apis/request/workflow/video/url<id>';

            const headers = {
                'api-key': '<api-key>'
            };


            fetch(url, {
                method: 'POST',
                headers: headers
            })

            .then(response => response.json())

            .then(data => console.log(data))

            .catch(error => console.error('Error:', error));
        - lang: php
          label: PHP
          source: |-
            <?php
            $url = "https://api.nfig.ai/apis/request/workflow/video/url/<id>";
            $headers = array(
                "api-key: <api-key>"
            );

            $ch = curl_init();
            curl_setopt($ch, CURLOPT_URL, $url);
            curl_setopt($ch, CURLOPT_POST, true);
            curl_setopt($ch, CURLOPT_HTTPHEADER, $headers);
            curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);

            $response = curl_exec($ch);
            curl_close($ch);
            echo $response;
            ?>
        - lang: go
          label: Go
          source: |-
            package main

            import (
                "encoding/json"
                "fmt"
                "net/http"
            )

            func main() {
                url := "https://api.nfig.ai/apis/request/workflow/video/url/<id>"
                
                req, _ := http.NewRequest("POST", url, nil)
                req.Header.Set("api-key", "<api-key>")
                
                client := &http.Client{}
                resp, err := client.Do(req)
                if err != nil {
                    panic(err)
                }
                defer resp.Body.Close()
                
                var result map[string]interface{}
                json.NewDecoder(resp.Body).Decode(&result)
                fmt.Println(result)
            }
        - lang: java
          label: Java
          source: |-
            import java.net.HttpURLConnection;
            import java.net.URL;
            import java.io.BufferedReader;
            import java.io.InputStreamReader;

            public class WorkflowStepStop {
                public static void main(String[] args) {
                    try {
                        URL url = new URL("https://api.nfig.ai/apis/request/workflow/video/url/<id>");
                        HttpURLConnection conn = (HttpURLConnection) url.openConnection();
                        conn.setRequestMethod("POST");
                        conn.setRequestProperty("api-key", "<api-key>");
                        conn.setDoOutput(true);
                        
                        int responseCode = conn.getResponseCode();
                        BufferedReader in = new BufferedReader(
                            new InputStreamReader(conn.getInputStream()));
                        String inputLine;
                        StringBuffer response = new StringBuffer();
                        while ((inputLine = in.readLine()) != null) {
                            response.append(inputLine);
                        }
                        in.close();
                        
                        System.out.println(response.toString());
                        conn.disconnect();
                    } catch(Exception e) {
                        e.printStackTrace();
                    }
                }
            }
components:
  schemas:
    VideoResponse:
      type: object
      properties:
        status:
          type: string
          enum:
            - COMPLETED
            - REQUESTED
          description: Status of the video export request
        video_link:
          type: string
          description: Url of the video export
          example: >-
            https://workflow-session-videos-prod.s3.us-west-1.amazonaws.com/6752c2************
      required:
        - status
        - video_link
  securitySchemes:
    apiKey:
      type: apiKey
      in: header
      name: api-key

````